{
  "CHANGELOG.md": "a8c36e65f444455bdebe1e47ce130dcb",
  "Gemfile": "2e2374c3abffb47031054886c1af22a1",
  "LICENSE": "1dece7821bf3fd70fe1309eaa37d52a2",
  "README.md": "f3eaefb9f464ade8cfea1ddabfed86c3",
  "Rakefile": "d2103b06aeb900c50fbd2b6797177cee",
  "bindep.txt": "bc44ae62bc1480fb05f778f080a13202",
  "doc/requirements.txt": "4b7e023b7f7327ac38b9024d2dec0426",
  "examples/basic.pp": "b81179c726628f8c31c226b97943e4f7",
  "lib/puppet/provider/sahara.rb": "f6c5237c006c022582f5ce9c34dd2e5f",
  "lib/puppet/provider/sahara_api_paste_ini/ini_setting.rb": "2f54e1d61508a048f81fc1c316d6d04d",
  "lib/puppet/provider/sahara_cluster_template/openstack.rb": "f00332767159a5b7e599f92d234d869d",
  "lib/puppet/provider/sahara_config/ini_setting.rb": "071c4438ac20c957d3f54225b27161c0",
  "lib/puppet/provider/sahara_node_group_template/openstack.rb": "3461320d511043cdae33e5d468d080e4",
  "lib/puppet/type/sahara_api_paste_ini.rb": "1d35b9036378bf0160b4292f8550a963",
  "lib/puppet/type/sahara_cluster_template.rb": "741b42f92089844ce387711c07291f54",
  "lib/puppet/type/sahara_config.rb": "1a2695cfc1908ad137fc2bec6e8afeb7",
  "lib/puppet/type/sahara_node_group_template.rb": "ca924a30c4a5611f5e72974c5e86a94a",
  "manifests/client.pp": "b869c4fc9377b0670cf17707f3034c72",
  "manifests/config.pp": "4eca7fd3edc3158e626574c7632ec38e",
  "manifests/db/mysql.pp": "79a278cb1a2e83b7317048f7b0689814",
  "manifests/db/postgresql.pp": "4319d5d02162c7492e721e78850c29ed",
  "manifests/db/sync.pp": "5a2e142d2ca679eb50ee0b40d2898791",
  "manifests/db.pp": "27bb3ec0d702bba67aa9d78962ad97e2",
  "manifests/deps.pp": "09d38b96a329425c64ef7280cebd85f1",
  "manifests/init.pp": "df92de3da9ea9c84638e649a247988c2",
  "manifests/keystone/auth.pp": "ec943b801179e9cab8d2be011782204d",
  "manifests/keystone/authtoken.pp": "f405620f1e8ba1c0ea0e4fd4f0174f49",
  "manifests/logging.pp": "d2a0c906d0bf064417ab76335ef06f95",
  "manifests/notify.pp": "c562c9a7c1e1a2a144462a2b676ee3c6",
  "manifests/params.pp": "817048f69b06498dff25af0e0930817c",
  "manifests/policy.pp": "080c8172b7261feed6b1eaf347647f51",
  "manifests/service/all.pp": "f03ebd796d7a3243171d477309d3970c",
  "manifests/service/api.pp": "2644fd91a4f1b8fb4abeef4f613a84ad",
  "manifests/service/engine.pp": "80b1984983b6a8cf12b63ba47e329ffe",
  "manifests/wsgi/apache.pp": "8f6e2081edb5b0077d5d7f606c687795",
  "metadata.json": "edaa625133f9f946fc1982df079c363f",
  "releasenotes/notes/add-pool_timeout-option-for-db-831ff90d2497a2a7.yaml": "11690ad10c2816bb3a67b85096c70062",
  "releasenotes/notes/add-use_journal-option-for-logging-a2bb990d189eaf7a.yaml": "9b69727607a066056af78c5e51101ce8",
  "releasenotes/notes/add_messaging_default_parameters-87a3598135f23e34.yaml": "4e4295bb04d758f5b5f77258ffbbefac",
  "releasenotes/notes/add_oslo_messaging_amqp-2969450d2f6f1f5e.yaml": "8b31d9026c84379c3a40abf6dfd4ac32",
  "releasenotes/notes/add_transport_url_parameters-973b95ec1ad18717.yaml": "613e2e63b7ce03bc0f3713bbc0e69a38",
  "releasenotes/notes/api_paste-b94e191896840944.yaml": "2ba8ba9358acd8e2c4a0ea0662f4b370",
  "releasenotes/notes/authtoken-c3466f4f6028a182.yaml": "715ec76f8a0cb9b63f936c0fb95a8b14",
  "releasenotes/notes/default-domain-ef6bd3e929f3ee74.yaml": "395f1c521d16ebd1cdb4620234857161",
  "releasenotes/notes/deprecate_auth_uri_parameter-ab52236f17ac79c8.yaml": "94bc8d396341b98182bd92f80486db8a",
  "releasenotes/notes/deprecate_rabbit_max_retries-172913e235f23547.yaml": "5006138dab4d7c1ba2d4219cf28f6566",
  "releasenotes/notes/deprecate_revocation_cache_time_parameter-7e6e3ab6bfc3e3c9.yaml": "cecf0bba871f379149866b752043970b",
  "releasenotes/notes/deprecate_rpc_backend_parameter-3c92f3cb31cdb3cb.yaml": "a7d8a408ad2518573f239c8a37825ee4",
  "releasenotes/notes/deprecate_use_neutron-813591a235e7135f.yaml": "29fed8afbbcb8cf33adc424d5539374f",
  "releasenotes/notes/deprecated_liberty-fb0633f26040dc46.yaml": "30a38e53731077539c63c079988fad24",
  "releasenotes/notes/drop_qpid-2aa008638bbdee5b.yaml": "e15f600a397b37b7c8411594cbb6e5c2",
  "releasenotes/notes/external_install_mgmt_hook-a781254f35613a671.yaml": "ab734bd63712105feffc0f8396f89058",
  "releasenotes/notes/fix_log_dir_documentation-f0d49e76c2a78b1d.yaml": "effcdd4d3233168c9de75330dadfc1b6",
  "releasenotes/notes/keystone-auth-name-1a3385c23b2682e6.yaml": "be9bec45c81d57461f866edde1fc436c",
  "releasenotes/notes/keystone-authtoken-memcached-ea0660e81f256eda.yaml": "41f2b55d06cf9b79b0c13cf24aa31998",
  "releasenotes/notes/log-json-1fc3ec44fad0db5c.yaml": "f3b4eea959d96b68d27ccaaa20bd2d95",
  "releasenotes/notes/openstack_db_tag-acac480da506925b.yaml": "4fe61f0e2066fa03174b6fb711d1d162",
  "releasenotes/notes/pymysql-e57bf1f0289dd426.yaml": "9e1366bdeb511d490f6c9a7191e6560e",
  "releasenotes/notes/rabbit-connection-params-deprecation-8d265821e92a1eeb.yaml": "63ba2b467633f38de9dfd134c9b2cd37",
  "releasenotes/notes/releasenotes/notes/os_workers-2922e3073027045d.yaml": "78ea4bbbaa40b2a2101cd134e1e3d74b",
  "releasenotes/notes/remove-deprecated-notifications-options-81a359d87135f912.yaml": "add067c157343f7fc2349cf24b92550f",
  "releasenotes/notes/remove-deprecated-rabbit-params-97ead9799e3aca70.yaml": "5cfd539e0f14a03486772b961e368e10",
  "releasenotes/notes/remove-enable-notifications-opt-04f02fc287db8dd7.yaml": "19b4587ab4c6d78b92d6a0df175d9d33",
  "releasenotes/notes/remove_deprecated_keystone_revocation_cache_time_option-bd19d353c15987de.yaml": "12383804cbe5bd9690edf4115bbbc597",
  "releasenotes/notes/remove_deprecated_keystone_signing_dir_option-857136c11bf5cd7d.yaml": "580ea9c7e08b9bfef720cd6e2d5dbdb4",
  "releasenotes/notes/remove_deprecated_rabbit_max_retries_option-9bf83ffdadb5019f.yaml": "eb96b7ede02b07e10d6b4eaa89928397",
  "releasenotes/notes/remove_qpid-0b446db43fdea617.yaml": "b4ee3d5eb2157655f6024fe581f2a049",
  "releasenotes/notes/remove_verbose-5409d6030c7794e5.yaml": "d489d384dbfcd05d8922e10a73b6089d",
  "releasenotes/notes/rspec-puppet-facts-a858ae8d93a726a9.yaml": "7744c63f5a00e1a9d819e4acc56f7f62",
  "releasenotes/notes/sahara-api-wsgi-a0ca5cf632af6a39.yaml": "63d3b5fcbef2f8f3388173fc3dbf07c0",
  "releasenotes/notes/switch_to_oslo-4ebb3a914d2d8b4e.yaml": "ba832768eb395b13e1b808836432cd3a",
  "releasenotes/notes/use-reno-1caaec4ba5aa4285.yaml": "76c2a81453379306ff44f0c1d7ee2aa7",
  "releasenotes/notes/use_oslo_zmq-7041d12c8bf2c724.yaml": "9d09e5edf60a6367d08aebc9d37a4a11",
  "releasenotes/notes/verbose-deprecation-2cc63616acbfd49e.yaml": "78b6cb1d233ec6e829d0b458e0076f61",
  "releasenotes/source/conf.py": "5ce8e06aa6395a43ccfc94bc2a993b20",
  "releasenotes/source/index.rst": "d95fe6145d3b780f42c58ab691c2f485",
  "releasenotes/source/mitaka.rst": "9587551ab0694294b2f3e2732681ba36",
  "releasenotes/source/newton.rst": "7d40ecfcfd08fc2bb1b2b31f392c607b",
  "releasenotes/source/ocata.rst": "1abf9b20b9f528a050178320c9b2d990",
  "releasenotes/source/pike.rst": "71428b0b999fb4b77bd44a981df631be",
  "releasenotes/source/queens.rst": "7dff6fb5d97ebdf96b018591fdfdf261",
  "releasenotes/source/rocky.rst": "1b92c185f34c78658d380a9e6baef2cc",
  "releasenotes/source/unreleased.rst": "bf0ecdd52fd108f44830d2458ceeb04c",
  "setup.cfg": "d092c60aeba078e2af91e815af7d0927",
  "setup.py": "111a200bf38861c585d58dbb6e5dabd7",
  "spec/acceptance/basic_sahara_spec.rb": "f46ba99f2ab02ce61d48767ade2ff080",
  "spec/acceptance/nodesets/centos-70-x64.yml": "a7edb779042e344bfa672837f40aa3f9",
  "spec/acceptance/nodesets/default.yml": "9addf9177f3d3296b313745b4750cf03",
  "spec/acceptance/nodesets/nodepool-bionic.yml": "d3454031a7bef731385bcc7989ceb542",
  "spec/acceptance/nodesets/nodepool-centos7.yml": "3987f6b2a4847fbf46c4698420bfe6e3",
  "spec/acceptance/nodesets/nodepool-trusty.yml": "26e894cea9b1ab165957c83089fb3eb8",
  "spec/acceptance/nodesets/nodepool-xenial.yml": "785190f4d96b791713c336d476b309b6",
  "spec/acceptance/nodesets/ubuntu-server-1404-x64.yml": "e707497cf9fe94bb206312deab9969ad",
  "spec/classes/sahara_all_spec.rb": "f00cbeff860e389428c82e6303fc826c",
  "spec/classes/sahara_api_spec.rb": "63d07a4f42849c4895b601f99bac6e52",
  "spec/classes/sahara_client_spec.rb": "aab5e9892944981d55585a1f47c4b6ee",
  "spec/classes/sahara_config_spec.rb": "d65cdc11e5cbe7be91c3855afb378c27",
  "spec/classes/sahara_db_mysql_spec.rb": "4e33983a5fc0d62104ecf26273d76a8f",
  "spec/classes/sahara_db_postgresql_spec.rb": "686ad9e61b2e5e1861834532b8f2d849",
  "spec/classes/sahara_db_spec.rb": "bcccc27a098edc7b038e4c69f0af2216",
  "spec/classes/sahara_db_sync_spec.rb": "7e72e8cfdf4aa3ac5c05b369b7a7475f",
  "spec/classes/sahara_engine_spec.rb": "1291532eb3ecbaea52a5199211f90933",
  "spec/classes/sahara_init_spec.rb": "baeb549f9d19466d1b39e7ecd8d82a76",
  "spec/classes/sahara_keystone_auth_spec.rb": "06fe986a34e3dc4788683b8eeca8c77f",
  "spec/classes/sahara_keystone_authtoken_spec.rb": "5bc73a76504787de50ac6462247e4315",
  "spec/classes/sahara_logging_spec.rb": "68c207a17a3da3d37b006a970e5d9bc1",
  "spec/classes/sahara_notify_spec.rb": "fc4c9d38057808404107c24f0aa329ff",
  "spec/classes/sahara_policy_spec.rb": "2288ad5dd8721d06829185de0b06b636",
  "spec/classes/sahara_wsgi_apache_spec.rb": "c4a586dd9c0efc1d4083aa63d81c0ab0",
  "spec/spec_helper.rb": "8b209b8a25fbc937ceab96c8d1bc914f",
  "spec/spec_helper_acceptance.rb": "92d6681743a3562bb4402f548559c16e",
  "spec/unit/provider/sahara_api_paste_ini/ini_setting_spec.rb": "2da52edf0c48cd7e890becb543dd4fff",
  "spec/unit/provider/sahara_cluster_template/openstack_spec.rb": "2727b31e0ce3ef50ceff3a6ea2ecb923",
  "spec/unit/provider/sahara_config/ini_setting_spec.rb": "daa95353bf3aa970dfe768530ac0605d",
  "spec/unit/provider/sahara_node_group_template/openstack_spec.rb": "746b3a5da6bc6837da11b3362e565043",
  "spec/unit/provider/sahara_spec.rb": "611e4fb1ca389584c63d15c8b5eedca4",
  "spec/unit/type/sahara_api_paste_ini_spec.rb": "bde66bd830e884ed5f57dbe01dffee34",
  "spec/unit/type/sahara_cluster_template_spec.rb": "af2c1fe583987bdcf6fe4346594c1a5f",
  "spec/unit/type/sahara_config_spec.rb": "702a1d3ed00c5a504852244a7e8ca865",
  "spec/unit/type/sahara_node_group_template_spec.rb": "2c392fab9b7a7937a9c1d63e3e8766e7",
  "tox.ini": "408e652c045f7b3f2e1573125749060b"
}